Subject: Re: [PATCH v2 2/2] ARM: dts: exynos: Remove unneeded "snps,dwc2" from hsotg node

From: Krzysztof Kozlowski <[email-masked]>
Date: Fri, 3 Jan 2020 12:16:55 +0100

On Thu, Jan 02, 2020 at 08:50:39AM +0000, Benjamin GAIGNARD wrote:
> 
> On 12/30/19 4:37 PM, Krzysztof Kozlowski wrote:
> > On Thu, Dec 19, 2019 at 11:35:36AM +0100, Benjamin Gaignard wrote:
> >> Remove "snps,dwc2" from hsotg@12480000 node compatible list because
> >> "samsung,s3c6400-hsotg" should be enough.
> > The more detailed compatible is almost always "enough". Some other nodes
> > also have detailed+generic compatible. In this case there is a driver
> > matching "snps,dwc2" so why removing it?
> 
> First because, unlike the others dwc2 devices, this compatible wasn't 
> describe in the bindings file
> 
> so I had to investigated how it should work and, on samsung DT files, 
> only "samsung,s3c6400-hsotg".
> 
>  From driver code point of view that seems coherent (we do the same for 
> stm32).
> 
> With that in mind I have decided to remove "snps,dwc2" from exynos DT 
> file rather than add it everywhere else.
>

Actually fine with me, although I would be happy if Rob or Mark could
confirm that it is a preferred approach.

Rob, Mark, could you share your thoughts?

Best regards,
Krzysztof

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel